import React, {Component} from 'react';
import {Row, Card, InputGroup, Button, Input} from 'reactstrap';

class IngredientForm extends Component {
  static defaultProps = {
    onNewIngredient(ingredient) {},
    onClear() {}
  }

  constructor() {
    super();
    this.add = this.add.bind(this);
    this.clear = this.clear.bind(this);
  }

  add(event) {
    event.preventDefault();
    this.props.onNewIngredient({
      name: this.ingredientNameInput.value,
      amount: this.amountInput.value,
      measurement: this.measurementInput.value
    });
    this.clearInputs();
  }

  clear(event) {
    event.preventDefault();
    this.props.onClear();
    this.clearInputs();
  }

  clearInputs() {
    this.ingredientNameInput.value = '';
    this.amountInput.value = '';
    this.measurementInput.value = '';
    this.amountInput.focus();
  }

  render() {
    return (
      <Card body color="light">
        <InputGroup>
          <Input className="mr-1" innerRef={input => this.amountInput = input} type="text" placeholder="Amount"/>
          <Input className="mr-1" innerRef={input => this.measurementInput = input} type="text" placeholder="Measurement"/>
          <Input innerRef={input => this.ingredientNameInput = input} type="text" placeholder="Ingredient name"/>
        </InputGroup>
        <div className="mt-2">
          <Button color="success" className="mr-2" onClick={this.add}>Add ingredient</Button>
          <Button color="success" className="mr-2" onClick={this.clear}>Clear list</Button>
        </div>
      </Card>
    );
  }
}

export default IngredientForm;
