import React from 'react';
import PropTypes from 'prop-types';
import {Card, Button, Input} from 'reactstrap';

const InstructionForm = ({onNewInstruction, onClear}) => {
  let instructionInput;

  const add = (e) => {
    e.preventDefault();
    onNewInstruction(instructionInput.value);
    clearInputs();
  }
  const clear = (e) => {
    e.preventDefault();
    onClear();
  }
  const clearInputs = () => {
    instructionInput.value = '';
  }

  return (
    <Card body color="light">
      <Input innerRef={input => instructionInput = input} type="text" placeholder="Instruction"/>
      <div className="mt-2">
        <Button color="success" className="mr-2" onClick={add}>Add instruction</Button>
        <Button color="success" className="mr-2" onClick={clear}>Clear list</Button>
      </div>
    </Card>
  )
}

InstructionForm.defaultProps = {
  onNewInstruction(instruction) {
    console.error('onNewInstruction handler not defined.');
  },
  onClear() {
    console.error('onClear handler not defined.');
  }
}

export default InstructionForm;
