import {commitMutation, graphql} from 'react-relay';
import environment from '../environment';
import {ConnectionHandler} from 'relay-runtime';

export default (rating, id) => {
  const variables = {
    input: {
      id,
      rating,
    }
  };
  return commitMutation(
    environment,
    {
      mutation: graphql`
        mutation changeRecipeRate_Mutation($input: ChangeRecipeRateInput!) {
          changeRecipeRate(input: $input) {
            recipe {
              rating
            }
          }
        }
      `,
      variables,
      onCompleted: () => {
        // console.log('onCompleted');
      },
      onError: err => console.error(err)
    }
  )
}
