import {commitMutation, graphql} from 'react-relay';
import environment from '../environment';
import {ConnectionHandler} from 'relay-runtime';

export default (id) => {
  const variables = {
    input: {
      id
    }
  };
  return commitMutation(
    environment,
    {
      mutation: graphql`
        mutation removeRecipe_Mutation($input: RemoveRecipeInput!) {
          removeRecipe(input: $input) {
            deletedRecipeId
          }
        }
      `,
      variables,
      updater: store => {
        const payload = store.getRootField('removeRecipe');
        const id = payload.getValue('deletedRecipeId');
        const root = store.getRoot();
        const conn = ConnectionHandler.getConnection(root, 'app_Query_recipes');
        ConnectionHandler.deleteNode(conn, id);
      },
      onCompleted: () => {
        // console.log('onCompleted');
      },
      onError: err => console.error(err)
    }
  )
}
