const path = require('path');

module.exports = {
  mode: 'development',
  entry: ['babel-polyfill', './src/app.js'],
  output: {
    path: path.resolve(__dirname, 'public'),
    filename: '[name].bundle.js',
    sourceMapFilename: '[name].bundle.map'
  },
  devtool: '#source-map',
  performance: {
    hints: false
  },
  module: {
    rules: [
      {
        test: /\.js$|\.jsx$/,
        use: [
          {
            loader: 'babel-loader',
            options: {
              presets: ['react', 'env', 'stage-0']
            }
          }
        ],
        exclude: /(node_modules)/
      },
      {
        test: /\.css$/,
        use: [
          'style-loader',
          'css-loader'
        ]
      }
    ]
  }
};
